Public Member Functions

# wxPasswordEntryDialog Class Reference
[Common Dialogs]

`#include <wx/textdlg.h>`

Inheritance diagram for wxPasswordEntryDialog:
[legend]

## Detailed Description

This class represents a dialog that requests a one-line password string from the user.

It is implemented as a generic wxWidgets dialog.

##

Library: wxCore
Category: Common Dialogs

See also:
  wxPasswordEntryDialog Overview

## Public Member Functions
| wxPasswordEntryDialog (wxWindow *parent, const wxString &message, const wxString &caption=wxGetPasswordFromUserPromptStr, const wxString &defaultValue=wxEmptyString, long style=wxOK|wxCANCEL|wxCENTRE, const wxPoint &pos=wxDefaultPosition)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxPasswordEntryDialog::wxPasswordEntryDialog | ( | wxWindow * | parent,
|  | const wxString & | message,
|  | const wxString & | caption = `wxGetPasswordFromUserPromptStr`,
|  | const wxString & | defaultValue = `wxEmptyString`,
|  | long | style = `wxOK|wxCANCEL|wxCENTRE`,
|  | const wxPoint & | pos = `wxDefaultPosition` |
| ) |  |  |

Constructor.

Use wxTextEntryDialog::ShowModal to show the dialog.

Parameters:

  | parent | Parent window.
  | message | Message to show on the dialog.
  | caption | The caption of the dialog.
  | defaultValue | The default value, which may be the empty string.
  | style | A dialog style, specifying the buttons (wxOK, wxCANCEL) and an optional wxCENTRE style. You do not need to specify the wxTE_PASSWORD style, it is always applied.
  | pos | Dialog position.

|  | [ top ]